Page MenuHomePhabricator

Thumbtime parameter for videos is broken
Closed, ResolvedPublic

Description

Using the thumbtime parameter for creating a time based thumbnail is not working correctly. The resulting thumbnail always shows the frame from the middle of the video. Also template:Motd/ thumbtime is affected (see https://commons.wikimedia.org/wiki/Template:Motd/2017-07-03_thumbtime).

Event Timeline

Pristurus created this task.Jul 1 2017, 7:43 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 1 2017, 7:43 PM
MarkTraceur triaged this task as Normal priority.Jul 10 2017, 3:07 PM
MarkTraceur moved this task from Untriaged to Next up on the Multimedia board.
Gilles claimed this task.Jul 12 2017, 9:49 AM
Gilles raised the priority of this task from Normal to High.
Gilles added projects: Thumbor, Performance-Team.

As far as I can tell, it has to do with Varnish or Swift URL-encoding the request, where thumbor expects "seek=4" and gets "seek%3D4". All the existing integration tests are Thumbor only, without Swift or Varnish in front of it.

Change 364752 had a related patch set uploaded (by Gilles; owner: Gilles):
[operations/debs/python-thumbor-wikimedia@master] Upgrade to 1.0

https://gerrit.wikimedia.org/r/364752

Change 364752 merged by Filippo Giunchedi:
[operations/debs/python-thumbor-wikimedia@master] Upgrade to 1.0

https://gerrit.wikimedia.org/r/364752

Gilles closed this task as Resolved.Jul 12 2017, 5:07 PM

Works again: https://upload.wikimedia.org/wikipedia/commons/thumb/a/a3/Aequipotentialflaechen.webm/310px-seek=1-Aequipotentialflaechen.webm.jpg

Files with thumbtime thumbnails "stuck" to the wrong time should be fixed by being purged. Make sure that you clear your browser cache as well (shift-click on a page where the offending appears) to see the change after purge. I've just purged the video from the task description and it worked fine.

Thank you very much for your work!

Thanks Gilles.